# Created by pyp2rpm-3.3.5
%global pypi_name dnstwist

Name:           %{pypi_name}
Version:        20201022
Release:        1%{?dist}
Summary:        Domain name permutation engine

License:        ASL 2.0
URL:            https://github.com/elceef/dnstwist
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Tool to find lookalike domains that adversaries can use to attack you.
Can detect typosquatters, phishing attacks, fraud, and brand impersonation.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
sed -i -e '/^#!\//, 1d' dnstwist.py

%build
%py3_build

%install
%py3_install
install -Dp -m 0644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc docs/README.md
%license docs/LICENSE
%{_mandir}/man1/%{name}.1*
%{_bindir}/dnstwist
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Dec 24 2020 Fabian Affolter <mail@fabian-affolter.ch> - 20201022-1
- Initial package for Fedora
